Bug 199302 - [RHEL4] crm #884108 : Cannot get file associations to work with Evolution
[RHEL4] crm #884108 : Cannot get file associations to work with Evolution
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 15:36 EDT by ritz
Modified: 2010-10-22 01:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 14:30:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mime detection patch (1.70 KB, patch)
2006-07-18 15:36 EDT, ritz
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 342092 None None None Never

  None (edit)
Description ritz 2006-07-18 15:36:36 EDT
Description of problem:

csv attachment shows up only as "View Inline", or "Save to".
In nautilus, Gnumeric shows up correctly, for Open With.

In other words, why are two GNOME apps don't use a shared mime database ?

----------------------------------------------------------------------------

Version-Release number of selected component (if applicable):

RHEL4U3 
evolution-2.0.2-27

----------------------------------------------------------------------------

How reproducible:
Always

----------------------------------------------------------------------------

Steps to Reproduce:

1. Install Gnumeric on system, and create a ".csv" file
2. Right click on file in Nautilus, Open with pops up Gnumeric, ...
3. Attach the file in evolution, and Try to open the file. THe file is treated
as a plain text.

----------------------------------------------------------------------------  

Actual results:
Cannot find gnumeric in "open in"

----------------------------------------------------------------------------  

Expected results:
Finding  gnumeric in "open in"

----------------------------------------------------------------------------  

Additional info:

Attached Patch modifies evolution to determine application list based on
extension, and if this fails, based on content.
Comment 1 ritz 2006-07-18 15:36:38 EDT
Created attachment 132616 [details]
mime detection patch
Comment 4 ritz 2007-03-05 09:45:35 EST
how about marking this for rhel4.6/4.7 ( under personal ) ?
Comment 5 Issue Tracker 2007-10-03 02:37:16 EDT
this ticket can be closed, as we are now moving over to evo2.8.

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHEL 4.6'
Ticket type set to: 'Feature Request'

This event sent from IssueTracker by rkhadgar 
 issue 94046
Comment 6 ritz 2007-10-03 14:30:42 EDT
this issue was for evo2.0 which has been superseded by 2.8
colsing and marking this as wontfix

Note You need to log in before you can comment on or make changes to this bug.